/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#define NX 128
#define NH 64
#define FNAME "t4"
#define MAXERROR 10  // max absolute value 

DATA x[NX] ={
19321,
29939,
1480,
24912,
-21434,
31440,
-14979,
-16232,
24624,
15552,
-23822,
-31998,
25814,
-19718,
-13191,
10580,
-14129,
-2017,
-28523,
32003,
5425,
-5014,
1016,
-10883,
-4398,
-17961,
5230,
17063,
1954,
9209,
-19067,
-7877,
18568,
11851,
-2550,
4445,
19281,
-28890,
6741,
-29474,
-5546,
-12780,
24534,
-31785,
17560,
30857,
32118,
18930,
-4021,
-111,
-18746,
9403,
-11795,
30152,
14852,
-5771,
16027,
-15208,
-3938,
28401,
12014,
-18838,
22232,
8440,
-24002,
-19194,
7025,
8512,
-8489,
4924,
-3184,
-29892,
-30987,
-12276,
-31926,
-7605,
12000,
-26684,
-30453,
7365,
7113,
-31736,
-31697,
-20312,
5696,
-28995,
-8680,
8614,
14262,
12626,
-27258,
-2992,
-3813,
-9618,
-22702,
11511,
13055,
14910,
-1417,
3594,
-24836,
-3228,
14148,
25745,
-14870,
-16072,
23960,
-17541,
19980,
26764,
-17571,
-17085,
-29508,
-27631,
9228,
-20259,
22535,
-21372,
-21575,
32394,
-3946,
-10483,
-12176,
-8843,
-6997,
5998,
-24921,
-30270,
};

DATA h[NH] ={
-88,
783,
919,
-499,
-720,
789,
-556,
308,
989,
349,
784,
-1039,
-769,
675,
-148,
826,
497,
396,
-326,
-708,
-730,
-655,
-165,
754,
-21,
669,
-84,
-91,
-105,
-186,
850,
-1048,
-430,
-956,
409,
317,
1023,
111,
-212,
-639,
265,
494,
-263,
-1039,
-170,
537,
622,
889,
730,
-281,
255,
489,
-649,
857,
146,
279,
-563,
103,
914,
-350,
329,
-229,
269,
421,
};

DATA rtest[NX+NH-1] ={
-52,
381,
1254,
514,
-186,
-112,
172,
57,
558,
-186,
3885,
-290,
-3870,
1485,
179,
-613,
706,
1790,
1013,
-3139,
-1208,
-732,
942,
-2527,
499,
1081,
-2032,
-243,
1445,
870,
224,
-1416,
-887,
-1676,
18,
2711,
-755,
4141,
-1751,
-1729,
-2885,
-680,
2962,
1168,
569,
-11,
287,
60,
-1040,
4636,
776,
-288,
-1547,
629,
2258,
2764,
2265,
-2618,
-651,
465,
14,
5215,
-210,
3121,
-3384,
-4135,
-3715,
593,
3041,
1129,
3628,
-3537,
2692,
-6115,
-460,
-1810,
-75,
595,
-2497,
-3921,
-2139,
1357,
1899,
694,
-2462,
-927,
-956,
-4961,
-4144,
2941,
-1722,
-1725,
1981,
3227,
608,
-590,
1237,
387,
-909,
-24,
148,
-1730,
594,
2333,
7396,
1215,
-401,
-81,
-2759,
-164,
1736,
3600,
-1530,
894,
1652,
-2929,
4403,
-501,
-2613,
-4180,
-3444,
1784,
-3339,
-2383,
3612,
-1300,
-878,
-3168,
};

DATA x_np[NX+NH-1] = {
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
19321,
29939,
1480,
24912,
-21434,
31440,
-14979,
-16232,
24624,
15552,
-23822,
-31998,
25814,
-19718,
-13191,
10580,
-14129,
-2017,
-28523,
32003,
5425,
-5014,
1016,
-10883,
-4398,
-17961,
5230,
17063,
1954,
9209,
-19067,
-7877,
18568,
11851,
-2550,
4445,
19281,
-28890,
6741,
-29474,
-5546,
-12780,
24534,
-31785,
17560,
30857,
32118,
18930,
-4021,
-111,
-18746,
9403,
-11795,
30152,
14852,
-5771,
16027,
-15208,
-3938,
28401,
12014,
-18838,
22232,
8440,
-24002,
-19194,
7025,
8512,
-8489,
4924,
-3184,
-29892,
-30987,
-12276,
-31926,
-7605,
12000,
-26684,
-30453,
7365,
7113,
-31736,
-31697,
-20312,
5696,
-28995,
-8680,
8614,
14262,
12626,
-27258,
-2992,
-3813,
-9618,
-22702,
11511,
13055,
14910,
-1417,
3594,
-24836,
-3228,
14148,
25745,
-14870,
-16072,
23960,
-17541,
19980,
26764,
-17571,
-17085,
-29508,
-27631,
9228,
-20259,
22535,
-21372,
-21575,
32394,
-3946,
-10483,
-12176,
-8843,
-6997,
5998,
-24921,
-30270,
};

